MarcXmlWriter (marc4j)
Keywords: org.marc4j.util.MarcXmlWriter class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.marc4j.util
Class MarcXmlWriter

    java.lang.Object
      org.marc4j.util.MarcXmlWriter

public class MarcXmlWriter
extends Object

Provides a driver for `MarcXmlReader` to convert MARC records to MARCXML or to a different format using an XSLT stylesheet.

For usage, run from the command-line with the following command:

`java org.marc4j.util.MarcXmlWriter -usage`

A note about character encodings:
If no input or output encoding is specified on the command-line the default charset is used. To specify input or output encodings use charset names supported by your Java virtual machine. The following command-line example convert ANSEL to UTF-8:

     java org.marc4j.util.MarcXmlWriter -ie ISO8859_1 -oe UTF8 -convert ANSEL -out output.xml input.mrc

Note: the Latin-1 encoding (ISO8859_1) is used since ANSEL is not a supported character encoding.

Check the home page for MARCXML for more information about the MARCXML format.

Note: this class requires a JAXP compliant XSLT processor.

Version:
  $Revision: 1.4 $
Author:
  Bas Peters
See Also:
  `MarcXmlReader`, `Converter`

Constructor Summary
`MarcXmlWriter()`

Method Summary
`static void` | `main(String[] args)` Provides a static entry point.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MarcXmlWriter

    public MarcXmlWriter()

Method Detail

### main

    public static void main(String[] args)

  Provides a static entry point.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2004 Bas Peters. All Rights Reserved.